/* ===== navbar base ===== */
.navbar {
  position: relative;
  z-index: 999;
  width: 100%;
  border-bottom: 1px solid var(--gray-default);
  /* box-shadow: 3px 3px 5px #e7e7e7; */
}

.navbar-container {
  position: relative;
  width: 100%;
}

.navbar-brand img {
  width: 100%;
}

.menu {
  background: #fff;
  min-height: 70px;
  padding: 0rem 4rem 0 0;
  align-items: flex-end;
}

.menu ul {
  flex: 1;
  gap: 0.8rem;
}

.menu-item {
  position: relative;
  padding: 0rem 1.6rem;
}

.menu-item a {
  color: var(--gray-default);
  letter-spacing: 0.2rem;
  transition: all 0.3s ease-in-out;
  font-family: "Noto Sans TC";
  display: flex;
  align-items: center;
  justify-content: center;
}
.menu-item:not(:last-child) a:hover {
  padding: 10px 20px;
  color: #fff;
  border-radius: 30px;
  background-image: linear-gradient(60deg, #3d3393 0%, #2b76b9 37%, #2cacd1 65%, #35eb93 100%);
}
.menu-item a h5 {
  font-size: 20px;
  text-align: center;
  margin: 0;
  transition: all 0.3s ease-in-out;
}

.menu-item a:hover,
.menu-item a:focus {
  text-decoration: none;
}

.menu-item a:hover .fa-search,
.menu-item a:focus .fa-search {
  transform: none;
  opacity: 1;
  color: var(--gray-default);
}

/* .menu-item::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0%;
  width: 100%;
  transform: scaleX(0);
  height: 3px;
  background: var(--primary-default);
  transition: transform 0.3s ease-in-out;
}

.menu-item:hover::after {
  transform: scaleX(1);
}

.menu-item:hover a {
  color: var(--primary-default);
} */

.menu-search span {
  font-size: 18px;
  color: var(--gray-default);
  height: auto;
  line-height: 5.8rem;
  padding: 0;
}
.menu-logo{
  padding: 10px;
}
.menu-logo img{
  max-width: 80%;
}
.navbar-search-xs {
  display: flex;
  align-items: center;
}

.navbar-search-xs .attr-nav {
  margin: 0;
  padding: 0;
  list-style: none;
}

.navbar-search-xs .attr-nav > li {
  display: inline-block;
}

/* ===== utils used by this asp ===== */
.d-flex {
  display: flex;
}

.flex {
  display: flex;
}

.align-items-center {
  align-items: center;
}

.justify-content-between,
.justify-content-space-between {
  justify-content: space-between;
}

.justify-content-flex-end {
  justify-content: flex-end;
}

.h-100 {
  height: 100%;
}

.position-relative {
  position: relative;
}

.z-1 {
  z-index: 1;
}

.px-4 {
  padding-left: 1.6rem;
  padding-right: 1.6rem;
}
.pr-4 {
  padding-right: 1.6rem;
}

.px-6 {
  padding-left: 2.4rem;
  padding-right: 2.4rem;
}

@media (min-width: 992px) {
  .px-md-7 {
    padding-left: 5.6rem;
    padding-right: 5.6rem;
  }
}

/* ===== xxl ===== */
@media (max-width: 1599px) {
  .menu-item {
    padding: 0rem 0.4rem;
  }

  .menu ul {
    gap: 0.8rem 0rem;
  }

  .menu a {
    padding: 0.4rem 0.4rem;
  }
}

/* ===== phone ===== */
@media (max-width: 991px) {
  .navbar {
    height: auto;
  }

  .navbar-header {
    background: #fff;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }


  .navbar-brand a {
    display: inline-block;
    width: 100%;
    height: 100%;
  }

  .menu {
    display: none;
    height: max-content;
    width: 100%;
    padding: 1.2rem 0 1.6rem;
    border-bottom: 2px solid;
  }

  .menu a {
    height: max-content;
    padding: 1.2rem 0.4rem;
  }

  .menu ul {
    flex-direction: column;
    width: 100%;
    margin: 0;
  }

  .menu li {
    width: 100%;
  }

  .menu-search span {
    line-height: 3rem;
  }
  .navbar-search-xs {
    margin-top: 8px;
  }
}

/* ===== hamburger ===== */
.hamburger {
  margin: 1.6rem 0.8rem 1.6rem auto;
  position: relative;
  z-index: 99;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 4rem;
  height: 4rem;
  border-radius: 5px;
  transition: all ease-in-out 0.5s;
  cursor: pointer;
}

.hamburger span:first-child {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  transition: all linear 0.3s;
  width: 2.5rem;
  height: 0.3rem;
  background-color: var(--gray-default);
}

.hamburger span:last-child {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  transition: inherit;
  width: 2.5rem;
  height: 0.3rem;
  background-color: transparent;
}

.hamburger span:last-child::before,
.hamburger span:last-child::after {
  content: "";
  position: absolute;
  background-color: var(--gray-default);
  width: 2.5rem;
  height: 0.3rem;
  transition: all 0.3s;
  left: 50%;
}

.hamburger span:last-child::before {
  transform: translate(-50%, -7px);
}

.hamburger span:last-child::after {
  transform: translate(-50%, 7px);
}

.hamburger.active span:first-child {
  transform: translate(-50%, 5px);
  opacity: 0;
}

.hamburger.active span:last-child::before {
  transform: rotate(45deg);
  left: 0;
}

.hamburger.active span:last-child::after {
  left: 0;
  transform: rotate(-45deg);
}
